package com.keao.edu.user.service.impl;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.common.service.impl.BaseServiceImpl;
import com.keao.edu.user.dao.ExamRegistrationPaymentDao;
import com.keao.edu.user.entity.ExamRegistrationPayment;
import com.keao.edu.user.service.ExamRegistrationPaymentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ExamRegistrationPaymentServiceImpl extends BaseServiceImpl<Long, ExamRegistrationPayment> implements ExamRegistrationPaymentService {
	
	@Autowired
	private ExamRegistrationPaymentDao examRegistrationPaymentDao;

	@Override
	public BaseDAO<Long, ExamRegistrationPayment> getDAO() {
		return examRegistrationPaymentDao;
	}

	@Override
	public ExamRegistrationPayment getExamIngOrder(Integer examinationBasicId, Integer userId) {
		return examRegistrationPaymentDao.getExamIngOrder(examinationBasicId,userId);
	}

	@Override
	public ExamRegistrationPayment getByOrderNo(String OrderNo) {
		return examRegistrationPaymentDao.getByOrderNo(OrderNo);
	}
}
